Hooks:PostHook(WeaponTweakData, "init", "lore_init", function(self, tweak_data)
	log("WeaponTweakData is Called")
	
	local difficulty = Global.game_settings and Global.game_settings.difficulty or Global.DEFAULT_DIFFICULTY
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	
	--npc weapons
	--self.ger_kar98_npc.DAMAGE = 7
	--self.ger_mp38_npc.DAMAGE = 2
	--self.ger_geco_npc.DAMAGE = 9
	--self.ger_stg44_npc.DAMAGE = 3
	--self.ger_luger_npc.DAMAGE = 4
	
	self.ger_kar98_npc.DAMAGE = 5
	self.ger_mp38_npc.DAMAGE = 1
	self.ger_geco_npc.DAMAGE = 8
	self.ger_stg44_npc.DAMAGE = 3
	self.ger_luger_npc.DAMAGE = 2
	
	self.m42_flammenwerfer_npc.DAMAGE = 4
	self.m42_flammenwerfer_npc.fire_dot_data = {
		dot_trigger_chance = 100,
		dot_damage = 5,
		dot_length = 3.5,
		dot_trigger_max_distance = 2000,
		dot_tick_period = 0.7
	}
	self.tiger_main_gun_module.DAMAGE = 75
	self.tiger_machinegun_module.DAMAGE = 4
	self.junker_machinegun_module.DAMAGE = 5
	if difficulty_index <= TweakData.DIFFICULTY_1 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.4
		
		self.tiger_main_gun_module.AUTO_RELOAD_DURATION = 15
		
		self.tiger_machinegun_module.CLIP_SIZE = 80
		self.tiger_machinegun_module.AUTO_RELOAD_DURATION = 4
		
	elseif difficulty_index == TweakData.DIFFICULTY_2 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.3
		
		self.tiger_main_gun_module.AUTO_RELOAD_DURATION = 10
		
		self.tiger_machinegun_module.CLIP_SIZE = 120
		self.tiger_machinegun_module.AUTO_RELOAD_DURATION = 4
	elseif difficulty_index == TweakData.DIFFICULTY_3 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.25
		
		self.tiger_main_gun_module.AUTO_RELOAD_DURATION = 6
		
		self.tiger_machinegun_module.CLIP_SIZE = 300
		self.tiger_machinegun_module.AUTO_RELOAD_DURATION = 8
	elseif difficulty_index == TweakData.DIFFICULTY_4 then
		self.m42_flammenwerfer_npc.auto.fire_rate = 0.15
		
		self.tiger_main_gun_module.AUTO_RELOAD_DURATION = 4
		
		self.tiger_machinegun_module.CLIP_SIZE = 1200
		self.tiger_machinegun_module.AUTO_RELOAD_DURATION = 16
	end
	
end)